Skip to main content

Manage CardLabel and ExtendedData

PUT 

/client/users/:correlation_id/card/:loyalty_id

Release: ES Loyalty 3.0

  • The API is used to ADD or REPLACE(if already exists) the attributes : "cardLabel" and "extendedData" on card object of specific account.

  • Both the attributes in request body are optional attributes, but one or both must be in the request.

  • If "cardLabel" is sent as an empty string, the attribute is removed from the database.

  • If "extendedData" attribute is send as an empty object, it will replace the current "extendeData" with an empty object.

Request

Body

AttributeDefinitionFormatNotes
cardLabelName/Label for a cardStringOptional attribute, but either this or extendedData must be in the request
extendedDataContains additional data for the cardObjectOptional attribute, but either this or cardLabel must be in the request

Response

AttributeDefinitionFormatNotes
Message"Successfully updated the card."String

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestError: The card label should be 1-100 characters. Possible characters: a-z, A-Z, 0-9, space, underscore, hyphen, single quote.INVALID_REQUESTCard label needs to be in specified size and specific characters are allowed.
400 Bad RequestError: Please provide CardLabel or ExtendedDataINVALID_REQUESTEither "cardLabel" or "extendedData" is mandatory in request body.
400 Bad RequestError: LoyaltyId specified is not associated with this AccountINVALID_REQUESTThe loyaltyId provided in Path Variable needs to be for the same account who is requesting the API.

Request

Responses

400 - Invalid cardLabel